<?php

namespace Sitecake\Event;

/**
 * Interface EventDispatcherInterface — replaces Cake\Event\EventDispatcherInterface.
 */
interface EventDispatcherInterface
{
    public function getEventManager(): EventManager;

    public function setEventManager(EventManager $eventManager): self;

    public function dispatchEvent(string $name, $data = null, $subject = null): Event;
}
